Tryton - Issues

 

Issue7714

Title Package should be readonly depending on some shipment state
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type behavior Components stock_package
Assigned To ced Keywords review
Reviews 47831002
View: 47831002

Created on 2018-09-20.12:30:29 by ced, last changed by roundup-bot.

Messages
New changeset ffa72ae41769 by Cédric Krier in branch 'default':
Add open/closed state on package
https://hg.tryton.org/tryton-env/rev/ffa72ae41769
New changeset 4510b3999def by Cédric Krier in branch 'default':
Add open/closed state on package
https://hg.tryton.org/modules/stock_package/rev/4510b3999def
review47831002 updated at https://codereview.tryton.org/47831002/#ps1
msg43988 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-09-20.12:36:10
It should include the packed state.
msg43987 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-09-20.12:30:28
Other modules like stock_package_shipping relies on the fact that package for shipment in state packed and done are readonly.
So this should be set in the states of the fields.
History
Date User Action Args
2019-03-08 18:41:11roundup-botsetmessages: + msg47490
2019-03-08 18:41:06roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg47489
2019-02-18 19:39:51reviewbotsetnosy: + reviewbot
messages: + msg47100
2019-02-18 19:24:57cedsetstatus: chatting -> testing
reviews: 47831002
keyword: + review
assignedto: ced
2018-09-20 12:36:11cedsetstatus: unread -> chatting
messages: + msg43988
2018-09-20 12:30:29cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)